> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /ror/organizations/search

> Search research organizations on ROR by query and filters

**Price:** 1 credit per 20 results



## OpenAPI

````yaml /openapi/research-papers.json post /api/ror/organizations/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/ror/organizations/search:
    post:
      tags:
        - /ror
      summary: /ror/organizations/search
      description: |-
        Search research organizations on ROR by query and filters

        **Price:** 1 credit per 20 results
      operationId: __api_ror_organizations_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RorOrganizationsSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/RorOrganization'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    RorOrganizationsSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        query:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
        type:
          anyOf:
            - $ref: '#/components/schemas/RorOrganizationType'
            - type: 'null'
        status:
          anyOf:
            - $ref: '#/components/schemas/RorOrganizationStatus'
            - type: 'null'
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - count
    RorOrganization:
      properties:
        '@type':
          type: string
          default: RorOrganization
        id:
          type: string
        status:
          anyOf:
            - type: string
            - type: 'null'
        established:
          anyOf:
            - type: integer
            - type: 'null'
        types:
          items:
            type: string
          type: array
          default: []
        name:
          anyOf:
            - type: string
            - type: 'null'
        aliases:
          items:
            type: string
          type: array
          default: []
        acronyms:
          items:
            type: string
          type: array
          default: []
        labels:
          items:
            type: string
          type: array
          default: []
        domains:
          items:
            type: string
          type: array
          default: []
        links:
          items:
            $ref: '#/components/schemas/RorLink'
          type: array
          default: []
        locations:
          items:
            $ref: '#/components/schemas/RorLocation'
          type: array
          default: []
        external_ids:
          items:
            $ref: '#/components/schemas/RorExternalId'
          type: array
          default: []
        relationships:
          items:
            $ref: '#/components/schemas/RorRelationship'
          type: array
          default: []
        admin:
          anyOf:
            - $ref: '#/components/schemas/RorAdmin'
            - type: 'null'
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    RorOrganizationType:
      type: string
      enum:
        - education
        - funder
        - healthcare
        - company
        - archive
        - nonprofit
        - government
        - facility
        - other
    RorOrganizationStatus:
      type: string
      enum:
        - active
        - inactive
        - withdrawn
    RorLink:
      properties:
        '@type':
          type: string
          default: RorLink
        type:
          anyOf:
            - type: string
            - type: 'null'
        value:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    RorLocation:
      properties:
        '@type':
          type: string
          default: RorLocation
        geonames_id:
          anyOf:
            - type: integer
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        latitude:
          anyOf:
            - type: number
            - type: 'null'
        longitude:
          anyOf:
            - type: number
            - type: 'null'
        country_code:
          anyOf:
            - type: string
            - type: 'null'
        country_name:
          anyOf:
            - type: string
            - type: 'null'
        subdivision_code:
          anyOf:
            - type: string
            - type: 'null'
        subdivision_name:
          anyOf:
            - type: string
            - type: 'null'
        continent_code:
          anyOf:
            - type: string
            - type: 'null'
        continent_name:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    RorExternalId:
      properties:
        '@type':
          type: string
          default: RorExternalId
        type:
          anyOf:
            - type: string
            - type: 'null'
        preferred:
          anyOf:
            - type: string
            - type: 'null'
        all:
          items:
            type: string
          type: array
          default: []
      type: object
    RorRelationship:
      properties:
        '@type':
          type: string
          default: RorRelationship
        type:
          anyOf:
            - type: string
            - type: 'null'
        id:
          anyOf:
            - type: string
            - type: 'null'
        label:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    RorAdmin:
      properties:
        '@type':
          type: string
          default: RorAdmin
        created_at:
          anyOf:
            - type: string
            - type: 'null'
        created_schema_version:
          anyOf:
            - type: string
            - type: 'null'
        last_modified_at:
          anyOf:
            - type: string
            - type: 'null'
        last_modified_schema_version:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````